package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTablespaceResizeDatafile extends SQLObjectImpl implements SQLAlterTablespacleItem {
   private SQLName filepath;
   private SQLExpr filesize;

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public SQLName getFilepath() {
      return this.filepath;
   }

   public void setFilepath(SQLName filepath) {
      this.filepath = filepath;
   }

   public SQLExpr getFilesize() {
      return this.filesize;
   }

   public void setFilesize(SQLExpr filesize) {
      this.filesize = filesize;
   }
}
